Subject: Re: bug#24449: Emacs 25.1 RC2: Byte compiler reports error in wrong place.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Sep 2016 18:09:38 +0300

> Date: Fri, 16 Sep 2016 13:33:52 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > If you didn't, you should, because after you do, you will never again
> > wonder why an incorrect line number is reported.  In fact, now that I
> > did look there, I'm surprised it reports a correct line number at all,
> > let alone as often as it does.  It's sheer luck.
> 
> This is not a Good Thing.  Even its own comment describes itself as a
> "gross hack".  Surely we can do better?

I certainly hope we can.  But, unless I misunderstood something, the
way it's designed makes that really hard.